Bug 233705 (qt5-5.12.0) - [exp-run] upgrade Qt5 to 5.12.0
Summary: [exp-run] upgrade Qt5 to 5.12.0
Status: Closed FIXED
Alias: qt5-5.12.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-01 22:23 UTC by Tobias C. Berner
Modified: 2018-12-16 19:23 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (785.22 KB, patch)
2018-12-01 22:23 UTC, Tobias C. Berner
no flags Details | Diff
v2 (793.43 KB, patch)
2018-12-06 20:05 UTC, Tobias C. Berner
no flags Details | Diff
v3 (791.64 KB, patch)
2018-12-06 21:34 UTC, Tobias C. Berner
no flags Details | Diff
v4 (913.83 KB, patch)
2018-12-11 19:23 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2018-12-01 22:23:13 UTC
Created attachment 199728 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade Qt5 to 5.12.0. The patch is still for the second release candidate. The official release will be next week, but I would like to fix possible fallout as early as possible.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/qt5-5.12.0-rc2.v1.patch


mfg Tobias
Comment 1 Tobias C. Berner freebsd_committer 2018-12-06 20:05:04 UTC
Created attachment 199909 [details]
v2

v2 includes a patch for kf5-extra-cmake-modules:
https://people.freebsd.org/~tcberner/patches/qt5-5.12.0-rc2.v2.patch
Comment 2 Tobias C. Berner freebsd_committer 2018-12-06 21:34:16 UTC
Created attachment 199910 [details]
v3
Comment 3 Tobias C. Berner freebsd_committer 2018-12-06 21:34:58 UTC
It has been released now. Same as v2, but with updated distinfo/master sites
https://people.freebsd.org/~tcberner/patches/qt5-5.12.0.v3.patch
Comment 5 Tobias C. Berner freebsd_committer 2018-12-11 19:23:27 UTC
Created attachment 200048 [details]
v4

Hi there

this one
https://people.freebsd.org/~tcberner/patches/qt5-5.12.0.v4.patch
should hopefully get rid of all the reported fallout.


mfg Tobias
Comment 6 Antoine Brodin freebsd_committer 2018-12-16 10:42:13 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2018-12-16 14:50:13 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 16 14:49:23 UTC 2018
New revision: 487594
URL: https://svnweb.freebsd.org/changeset/ports/487594

Log:
  Update Qt5 to 5.12.0

  http://blog.qt.io/blog/2018/12/06/qt-5-12-lts-released/

  - This breaks support for libressl again. Patches are welcome.

  PR:		233705
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/qt.mk
  head/astro/merkaartor/files/patch-src_Layers_LicenseDisplayDialog.ui
  head/audio/musescore/files/patch-mscore_editstringdata.cpp
  head/audio/musescore/files/patch-mscore_prefsdialog.ui
  head/audio/sonic-visualiser/Makefile
  head/biology/ugene/files/patch-src_plugins_test__runner_src_Reporter.ui
  head/comms/qt5-connectivity/Makefile
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-sensors/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialbus/pkg-plist
  head/comms/qt5-serialport/Makefile
  head/databases/qt5-sql/pkg-plist
  head/deskutils/qownnotes/Makefile
  head/devel/cmake-doc/Makefile
  head/devel/fuel/Makefile
  head/devel/kf5-extra-cmake-modules/files/patch-kdephab_D17015.diff
  head/devel/kf5-extra-cmake-modules/files/patch-modules_ECMQueryQmake.cmake
  head/devel/qbs/Makefile
  head/devel/qbs/distinfo
  head/devel/qbs/pkg-plist
  head/devel/qt5/Makefile
  head/devel/qt5/distinfo
  head/devel/qt5-assistant/Makefile
  head/devel/qt5-assistant/files/patch-src__src.pro
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-designer/Makefile
  head/devel/qt5-designer/files/patch-src__src.pro
  head/devel/qt5-help/Makefile
  head/devel/qt5-help/files/patch-src__assistant__assistant.pro
  head/devel/qt5-help/files/patch-src__src.pro
  head/devel/qt5-help/pkg-plist
  head/devel/qt5-linguist/Makefile
  head/devel/qt5-linguist/files/patch-src__src.pro
  head/devel/qt5-linguisttools/Makefile
  head/devel/qt5-linguisttools/files/patch-src__src.pro
  head/devel/qt5-location/Makefile
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbus/files/patch-src_src.pro
  head/devel/qt5-qdbusviewer/Makefile
  head/devel/qt5-qdbusviewer/files/patch-src__src.pro
  head/devel/qt5-qdoc/files/patch-src_src.pro
  head/devel/qt5-qdoc-data/pkg-plist
  head/devel/qt5-qmake/Makefile
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-script/Makefile
  head/devel/qt5-scripttools/Makefile
  head/devel/qt5-scxml/Makefile
  head/devel/qt5-scxml/pkg-plist
  head/devel/qt5-testlib/pkg-plist
  head/devel/qt5-uitools/Makefile
  head/devel/qt5-uitools/files/patch-src__src.pro
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/distinfo
  head/devel/qtcreator/pkg-plist
  head/devel/svn2git/Makefile
  head/editors/tea/Makefile
  head/emulators/qmc2/files/patch-qmc2_htmleditor_htmleditor.ui
  head/graphics/openorienteering-mapper/Makefile
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-graphicaleffects/Makefile
  head/graphics/qt5-imageformats/Makefile
  head/graphics/qt5-pixeltool/Makefile
  head/graphics/qt5-pixeltool/files/patch-src__src.pro
  head/graphics/qt5-svg/Makefile
  head/graphics/qt5-wayland/Makefile
  head/graphics/qt5-wayland/pkg-plist
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/multimedia/clipgrab/files/
  head/multimedia/clipgrab/files/patch-mainwindow.ui
  head/multimedia/qt5-multimedia/Makefile
  head/multimedia/qt5-multimedia/pkg-plist
  head/multimedia/webvfx-qt5/files/
  head/multimedia/webvfx-qt5/files/patch-tools_browser_browser.ui
  head/net/qt5-network/Makefile
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext__opensslpre11.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl11__symbols__p.h
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols__p.h
  head/net/qt5-network/pkg-plist
  head/net-p2p/retroshare/files/patch-plugins_VOIP_gui_AudioStats.ui
  head/sysutils/sysadm-client/Makefile
  head/textproc/qt5-xmlpatterns/Makefile
  head/www/qt5-webchannel/Makefile
  head/www/qt5-webengine/Makefile
  head/www/qt5-websockets/Makefile
  head/www/qt5-websockets-qml/Makefile
  head/x11/cool-retro-term/Makefile
  head/x11/qt5-qev/Makefile
  head/x11/qt5-x11extras/Makefile
  head/x11/radare-cutter/Makefile
  head/x11-toolkits/qt5-canvas3d/Makefile
  head/x11-toolkits/qt5-charts/Makefile
  head/x11-toolkits/qt5-datavis3d/Makefile
  head/x11-toolkits/qt5-declarative/Makefile
  head/x11-toolkits/qt5-declarative/files/patch-src_3rdparty_masm_assembler_ARMAssembler.h
  head/x11-toolkits/qt5-declarative/files/patch-tools_qmlcachegen_qmlcachegen.pro
  head/x11-toolkits/qt5-declarative/pkg-plist
  head/x11-toolkits/qt5-gamepad/Makefile
  head/x11-toolkits/qt5-gtkplatform/files/
  head/x11-toolkits/qt5-gtkplatform/files/patch-src_qgtkwindow__render.cpp
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/Makefile
  head/x11-toolkits/qt5-quickcontrols2/Makefile
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-uiplugin/Makefile
  head/x11-toolkits/qt5-uiplugin/files/patch-src__src.pro
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
  head/x11-toolkits/qt5-virtualkeyboard/pkg-plist
  head/x11-toolkits/qt5-widgets/pkg-plist
  head/x11-toolkits/qt5pas/Makefile
Comment 8 Tobias C. Berner freebsd_committer 2018-12-16 19:23:36 UTC
Committed. Thanks for the exp-run.